      MSCONVERT     (1)

NAME
msconvert — Convert mass spectrometry data file formats.

SYNOPSIS

msconvert [options] [filemasks]

DESCRIPTION

This manual page documents briefly the msconvert software shipped within the libpwiz-tools package. This program allows one to convert mass spectrometry data files from one format to another. Since this version is built on the Free Software Debian platform, only conversions involving Free Software can be performed [that is, *not* involving proprietary Microsoft Windows-based dynamic linking libraries (dlls)].

OPTIONS

-v | --verbose
    Display detailed processing progress information.

--help
    Show this message, with extra detail on filter options.

-f | --filelist filename
    Uses the contents of filename which lists filenames.

-o | --outdir dir
    Set the output directory ('-' for stdout) to dir. By default, the output directory is '.' (that is, the current working directory).

-c | --config filename
    Set the configuration file to filename.

--outfile filename
    Override the name of the output file.

-e | --ext ext
    Set the extension of the output files to ext. Can be mzML or mzXML or mgf or txt.

--mzML
    Write mzML format (default).

--mzXML
    Write mzXML format.

--mgf
    Write mgf Mascot generic format.

--text
    Write ProteoWizard internal text format.

--ms1
    Write MS1 format.

--cms1
    Write CMS1 format.

--ms2
    Write MS2 format.

--cms2
    Write CMS2 format.

--64
    Set default binary encoding to 64-bit precision (default).

--32
    Set default binary encoding to 32-bit precision.

--mz64
    Encode m/z values in 64-bit precision (default).

--mz32
    Encode m/z values in 32-bit precision.

--inten64
    Encode intensity values in 64-bit precision.

--inten32
    Encode intensity values in 32-bit precision (default).

--noindex
    Do not write index.

-i | --contactInfo filename
    Use filename for contact info.

-z | --zlib
    Use zlib compression for binary data.

-g | --gzip
    gzip entire output file (adds .gz to filename).

--filter arg
    Add a spectrum list filter.

--merge
    Create a single output file from multiple input files by merging file-level metadata and concatenating spectrum lists.

--simAsSpectra
    Write selected ion monitoring as spectra, not chromatograms.

--srmAsSpectra
    Write selected reaction monitoring as spectra, not chromatograms.

EXAMPLES

Convert data.RAW to data.mzXML

msconvert data.RAW --mzXML

Put output file in my_output_dir

msconvert data.RAW -o my_output_dir

Extract scan indices 5...10 and 20...25

msconvert data.RAW --filter "index [5,10] [20,25]"

Extract MS1 scans only

msconvert data.RAW --filter "msLevel 1"

Extract MSn scans for n>1

msconvert data.RAW --filter "msLevel 2-"

Use a configuration file

msconvert data.RAW -c config.txt

RETURN VALUE

The number of failed files.

AUTHOR

Filippo Rusconi <lopippo@debian.org>

This manual page was written by Filippo Rusconi <lopippo@debian.org> (initial writing 05 december 2013). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3, published by the Free Software Foundation.

On a Debian system the complete text of the GNU General Public License version 3 can be found in the file `/usr/share/common-licenses/GPL-3'.